PETSc version 3.17.4
Fix/Edit manual page

# MatProductGetType

Returns the type of the MatProduct.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductGetType(Mat mat, MatProductType *mtype)

Not collective

### Input Parameter

| mat | - the matrix

### Output Parameter

| mtype | - the MatProduct type

### See Also

MatProductCreateWithMat(), MatProductSetType(), MatProductCreate()

### Level

intermediate

### Location

src/mat/interface/matproduct.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages